XAResourceDetectedEvent (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.datasource.xa.event

## Class XAResourceDetectedEvent

- java.lang.Object
- - com.atomikos.icatch.event.Event
  - - com.atomikos.datasource.xa.event.XAResourceDetectedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class XAResourceDetectedEvent
      extends Event

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XAResourceDetectedEvent.ResourceType`

  - ### Field Summary

    - ### Fields inherited from class com.atomikos.icatch.event.Event

      `eventCreationTimestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XAResourceDetectedEvent(java.lang.String xaClassName, java.util.Properties xaProperties, XAResourceDetectedEvent.ResourceType resourceType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XAResourceDetectedEvent.ResourceType` | `getResourceType()`
    `java.lang.String` | `getXaClassName()`
    `java.util.Properties` | `getXaProperties()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XAResourceDetectedEvent

          public XAResourceDetectedEvent(java.lang.String xaClassName,
                                 java.util.Properties xaProperties,
                                 XAResourceDetectedEvent.ResourceType resourceType)

  - ### Method Detail

    - #### getResourceType

          public XAResourceDetectedEvent.ResourceType getResourceType()

    - #### getXaClassName

          public java.lang.String getXaClassName()

    - #### getXaProperties

          public java.util.Properties getXaProperties()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018. All Rights Reserved.